Create Extracted Field
Create a new extracted field
Create a new extracted field
Request
URI
POST
https://{api_host}/api/v2/fields/extractedFields
COPY
Request Body
ExtractedFieldsCreateRequest
of type(s)
application/json
Required
Show optional properties
{
"extractionRegex": "string",
"name": "string"
}
{
"adapterSource": "string",
"extractionRegex": "string",
"filterFieldName": "string",
"filterOperator": "string",
"filterValue": "string",
"info": "string",
"internalName": "string",
"name": "string",
"nameKey": 0,
"postContextRegex": "string",
"preContextRegex": "string",
"searchTerms": "string",
"solutionSource": "string"
}
string
adapterSource
Optional
adapterSource
string
extractionRegex
Required
Constraints:
minLength: 1
extractionRegex
string
filterFieldName
Optional
filterFieldName
string
filterOperator
Optional
filterOperator
string
filterValue
Optional
filterValue
string
info
Optional
info
string
As ^([0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|(?=.*[0-9])[a-zA-Z0-9]{15,})$
internalName
Optional
internalName
string
name
Required
Constraints:
minLength: 1
name
integer As int32
As int32
nameKey
Optional
nameKey
string
postContextRegex
Optional
postContextRegex
string
preContextRegex
Optional
preContextRegex
string
searchTerms
Optional
searchTerms
string
solutionSource
Optional
solutionSource
Responses
201
Extracted field created successfully
Returns
ExtractedField
of type(s)
application/json
{
"adapterSource": "string",
"displayName": "string",
"extractionRegex": "string",
"filterFieldName": "string",
"filterOperator": "string",
"filterValue": "string",
"id": "string",
"info": "string",
"internalName": "string",
"nameKey": 0,
"postContextRegex": "string",
"preContextRegex": "string",
"searchTerms": "string",
"solutionSource": "string"
}
string
adapterSource
Optional
adapterSource
string
displayName
Optional
displayName
string
extractionRegex
Optional
extractionRegex
string
filterFieldName
Optional
filterFieldName
string
filterOperator
Optional
filterOperator
Possible values are :
CONTAINS,
DOES_NOT_CONTAIN,
STARTS_WITH,
NOT_STARTS_WITH,
MATCH,
EXISTS,
NOT_EXISTS,
EQUAL,
NOT_EQUAL,
GREATER_THAN,
LESS_THAN,
GREATER_OR_EQUAL,
LESS_OR_EQUAL,
IS,
IS_NOT,
string
filterValue
Optional
filterValue
string
id
Optional
id
string
info
Optional
info
string
internalName
Optional
internalName
integer As int32
As int32
nameKey
Optional
nameKey
string
postContextRegex
Optional
postContextRegex
string
preContextRegex
Optional
preContextRegex
string
searchTerms
Optional
searchTerms
string
solutionSource
Optional
solutionSource
400
Bad request: Invalid input data
Returns
ErrorBody
of type(s)
application/json
{
"errorCode": "string",
"errorDetails": {},
"errorMessage": "string"
}
string
errorCode
Optional
errorCode
Possible values are :
API_ERROR,
LIMIT_ERROR,
FIELD_ERROR,
TEST_ERROR,
JSON_FORMAT_ERROR,
LICENSE_ERROR,
VSPHERE_INTEGRATION_ERROR,
VROPS_INTEGRATION_ERROR,
UPGRADE_ERROR,
SEARCH_ERROR,
AGENT_ERROR,
RBAC_COMMON_ERROR,
RBAC_USERS_ERROR,
RBAC_GROUPS_ERROR,
RBAC_ADGROUPS_ERROR,
RBAC_DATASETS_ERROR,
RBAC_VIDM_GROUPS_ERROR,
RBAC_VIDB_GROUPS_ERROR,
AUTH_PROVIDER_ERROR,
SECURITY_ERROR,
DEPLOYMENT_ERROR,
SUPPORT_BUNDLE_ERROR,
VIP_ERROR,
LOAD_BALANCER_ERROR,
VIDM_ERROR,
VIDB_ERROR,
AD_ERROR,
WEBHOOK_ERROR,
WEB_PROXY_ERROR,
SMTP_ERROR,
QUERY_ERROR,
CERTIFICATE_PEM_FORMAT_ERROR,
CERTIFICATE_FILE_INVALID,
CERTIFICATE_UPDATE_ERROR,
NSX_INTEGRATION_ERROR,
NSX_MANAGER_CONNECTIVITY_ERROR,
NO_CONFIGURATION_ERROR,
SSL_ERROR,
CERTIFICATE_PURPOSE_ERROR,
VCF_CAPABILITIES_REGISTRY_ERROR,
VALIDATION_ERROR,
INTERNAL_SERVER_ERROR,
UNPROCESSABLE_ENTITY,
RESOURCE_EXHAUSTED,
object
errorDetails
Optional
errorDetails
string
errorMessage
Optional
errorMessage
403
Forbidden: Authentication required
Returns
ErrorBody
of type(s)
application/json
{
"errorCode": "string",
"errorDetails": {},
"errorMessage": "string"
}
string
errorCode
Optional
errorCode
Possible values are :
API_ERROR,
LIMIT_ERROR,
FIELD_ERROR,
TEST_ERROR,
JSON_FORMAT_ERROR,
LICENSE_ERROR,
VSPHERE_INTEGRATION_ERROR,
VROPS_INTEGRATION_ERROR,
UPGRADE_ERROR,
SEARCH_ERROR,
AGENT_ERROR,
RBAC_COMMON_ERROR,
RBAC_USERS_ERROR,
RBAC_GROUPS_ERROR,
RBAC_ADGROUPS_ERROR,
RBAC_DATASETS_ERROR,
RBAC_VIDM_GROUPS_ERROR,
RBAC_VIDB_GROUPS_ERROR,
AUTH_PROVIDER_ERROR,
SECURITY_ERROR,
DEPLOYMENT_ERROR,
SUPPORT_BUNDLE_ERROR,
VIP_ERROR,
LOAD_BALANCER_ERROR,
VIDM_ERROR,
VIDB_ERROR,
AD_ERROR,
WEBHOOK_ERROR,
WEB_PROXY_ERROR,
SMTP_ERROR,
QUERY_ERROR,
CERTIFICATE_PEM_FORMAT_ERROR,
CERTIFICATE_FILE_INVALID,
CERTIFICATE_UPDATE_ERROR,
NSX_INTEGRATION_ERROR,
NSX_MANAGER_CONNECTIVITY_ERROR,
NO_CONFIGURATION_ERROR,
SSL_ERROR,
CERTIFICATE_PURPOSE_ERROR,
VCF_CAPABILITIES_REGISTRY_ERROR,
VALIDATION_ERROR,
INTERNAL_SERVER_ERROR,
UNPROCESSABLE_ENTITY,
RESOURCE_EXHAUSTED,
object
errorDetails
Optional
errorDetails
string
errorMessage
Optional
errorMessage
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"extractionRegex":"string","name":"string"}' https://{api_host}/api/v2/fields/extractedFields